# This file created by conda-build 3.22.0
# ------------------------------------------------

package:
  name: pyqtwebengine
  version: 5.15.7
source:
  - folder: pyqt
    sha256: 755121a52b3a08cb07275c10ebb96576d36e320e572591db16cfdbc558101594
    url: https://pypi.io/packages/source/P/PyQt5/PyQt5-5.15.7.tar.gz
  - folder: pyqt_sip
    sha256: b4710fd85b57edef716cc55fae45bfd5bfac6fc7ba91036f1dcc3f331ca0eb39
    url: https://pypi.io/packages/source/P/PyQt5-sip/PyQt5_sip-12.11.0.tar.gz
  - folder: pyqt_webengine
    sha256: cedc28f54165f4b8067652145aec7f732a17eadf6736835852868cf76119cc19
    url: https://pypi.io/packages/source/P/PyQtWebEngine/PyQtWebEngine-5.15.4.tar.gz
  - folder: pyqt_charts
    sha256: e2cd55a8a72cef99bc0126f3b1daa914eb5f21e20a70127b6985299f1dc50107
    url: https://pypi.io/packages/source/P/PyQtChart/PyQtChart-5.15.5.tar.gz
build:
  missing_dso_whitelist:
    - $RPATH/libc.so.6
    - $RPATH/libm.so.6
    - $RPATH/libpthread.so.0
  number: 0
  run_exports:
    - pyqtwebengine >=5.15.7,<5.16.0a0
  string: py311h6a678d5_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - alsa-lib-cos6-x86_64 1.1.0 4
    - alsa-lib-devel-cos6-x86_64 1.1.0 4
    - atk-cos6-x86_64 1.30.0 4
    - atk-devel-cos6-x86_64 1.30.0 4
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.01.10 h06a4308_0
    - cairo-cos6-x86_64 1.8.8 4
    - cairo-devel-cos6-x86_64 1.8.8 4
    - certifi 2022.12.7 py311h06a4308_0
    - dbus 1.13.18 hb2f20db_0
    - dbus-python 1.2.18 py311hfc3c560_0
    - expat 2.4.9 h6a678d5_0
    - expat-cos6-x86_64 2.0.1 4
    - expat-devel-cos6-x86_64 2.0.1 4
    - fontconfig 2.14.1 h52c9d5c_1
    - fontconfig-cos6-x86_64 2.8.0 4
    - fontconfig-devel-cos6-x86_64 2.8.0 4
    - freetype 2.12.1 h4a9f257_0
    - freetype-cos6-x86_64 2.3.11 4
    - freetype-devel-cos6-x86_64 2.3.11 4
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gdk-pixbuf2-cos6-x86_64 2.24.1 4
    - gdk-pixbuf2-devel-cos6-x86_64 2.24.1 4
    - giflib 5.2.1 h5eee18b_1
    - glib 2.69.1 he621ea3_2
    - glib2-cos6-x86_64 2.28.8 4
    - glib2-devel-cos6-x86_64 2.28.8 4
    - gst-plugins-base 1.14.0 h8213a91_2
    - gstreamer 1.14.0 h28cd5cc_2
    - gtk2-cos6-x86_64 2.24.23 4
    - gtk2-devel-cos6-x86_64 2.24.23 4
    - gtkmm24-cos6-x86_64 2.18.2 4
    - gtkmm24-devel-cos6-x86_64 2.18.2 4
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - icu 58.2 he6710b0_3
    - jpeg 9e h7f8727e_0
    - kernel-headers-cos6-x86_64 2.6.32 4
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - krb5 1.19.4 h568e23c_0
    - ld_impl_linux-64 2.38 h1181459_1
    - lerc 3.0 h295c915_0
    - libclang 10.0.1 default_hb85057a_2
    - libdeflate 1.8 h7f8727e_5
    - libdrm-cos6-x86_64 2.4.65 4
    - libdrm-devel-cos6-x86_64 2.4.65 4
    - libedit 3.1.20221030 h5eee18b_0
    - libevent 2.1.12 h8f2d780_0
    - libffi 3.4.2 h6a678d5_6
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libice-cos6-x86_64 1.0.6 4
    - libice-devel-cos6-x86_64 1.0.6 4
    - libllvm10 10.0.1 hbcb73fb_5
    - libpng 1.6.37 hbc83047_0
    - libpq 12.9 h16c4e8d_3
    - libselinux-cos6-x86_64 2.0.94 4
    - libselinux-devel-cos6-x86_64 2.0.94 4
    - libsepol-cos6-x86_64 2.0.41 4
    - libsepol-devel-cos6-x86_64 2.0.41 4
    - libsm-cos6-x86_64 1.2.1 4
    - libsm-devel-cos6-x86_64 1.2.1 4
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libthai-cos6-x86_64 0.1.12 4
    - libtiff 4.5.0 h6a678d5_1
    - libuuid 1.41.5 h5eee18b_0
    - libwebp 1.2.4 h11a3e52_0
    - libwebp-base 1.2.4 h5eee18b_0
    - libx11-common-cos6-x86_64 1.6.4 4
    - libx11-cos6-x86_64 1.6.4 4
    - libx11-devel-cos6-x86_64 1.6.4 4
    - libxau-cos6-x86_64 1.0.6 4
    - libxau-devel-cos6-x86_64 1.0.6 4
    - libxcb 1.15 h7f8727e_0
    - libxcb-cos6-x86_64 1.12 4
    - libxcomposite-cos6-x86_64 0.4.3 4
    - libxcomposite-devel-cos6-x86_64 0.4.3 4
    - libxcursor-cos6-x86_64 1.1.14 4
    - libxcursor-devel-cos6-x86_64 1.1.14 4
    - libxdamage-cos6-x86_64 1.1.3 4
    - libxdamage-devel-cos6-x86_64 1.1.3 4
    - libxext-cos6-x86_64 1.3.3 4
    - libxext-devel-cos6-x86_64 1.3.3 4
    - libxfixes-cos6-x86_64 5.0.3 4
    - libxfixes-devel-cos6-x86_64 5.0.3 4
    - libxi-cos6-x86_64 1.7.8 4
    - libxi-devel-cos6-x86_64 1.7.8 4
    - libxkbcommon 1.0.1 hfa300c1_0
    - libxml2 2.9.14 h74e7548_0
    - libxrandr-cos6-x86_64 1.5.1 4
    - libxrandr-devel-cos6-x86_64 1.5.1 4
    - libxrender-cos6-x86_64 0.9.10 4
    - libxrender-devel-cos6-x86_64 0.9.10 4
    - libxscrnsaver-cos6-x86_64 1.2.2 4
    - libxscrnsaver-devel-cos6-x86_64 1.2.2 4
    - libxslt 1.1.35 h4e12654_0
    - libxtst-cos6-x86_64 1.2.3 4
    - libxtst-devel-cos6-x86_64 1.2.3 4
    - libxxf86vm-cos6-x86_64 1.1.3 4
    - libxxf86vm-devel-cos6-x86_64 1.1.3 4
    - lz4-c 1.9.4 h6a678d5_0
    - make 4.2.1 h1bed415_1
    - mesa-dri-drivers-cos6-x86_64 11.0.7 4
    - mesa-dri1-drivers-cos6-x86_64 7.11 4
    - mesa-libegl-cos6-x86_64 11.0.7 4
    - mesa-libegl-devel-cos6-x86_64 11.0.7 4
    - mesa-libgl-cos6-x86_64 11.0.7 4
    - mesa-libgl-devel-cos6-x86_64 11.0.7 4
    - ncurses 6.4 h6a678d5_0
    - nspr 4.33 h295c915_0
    - nss 3.74 h0370c37_0
    - openssl 1.1.1t h7f8727e_0
    - packaging 22.0 py311h06a4308_0
    - pango-cos6-x86_64 1.28.1 4
    - pango-devel-cos6-x86_64 1.28.1 4
    - pciutils-devel-cos6-x86_64 3.1.10 4
    - pciutils-libs-cos6-x86_64 3.1.10 4
    - pcre 8.45 h295c915_0
    - pip 22.3.1 py311h06a4308_0
    - pixman-cos6-x86_64 0.32.8 4
    - pixman-devel-cos6-x86_64 0.32.8 4
    - pkg-config 0.29.2 h1bed415_8
    - pkgconfig-cos6-x86_64 0.23 4
    - ply 3.11 py311h06a4308_0
    - pyqt
    - pyqt-builder 1.13.0 py311h06a4308_1
    - python 3.11.0 h7a1cb2a_2
    - qt-main 5.15.2 h327a75a_7
    - qt-webengine 5.15.9 hd2b0992_4
    - qtwebkit 5.212 h4eab89a_4
    - readline 8.2 h5eee18b_0
    - setuptools 65.5.0 py311h06a4308_0
    - sip 6.6.2 py311h6a678d5_0
    - sqlite 3.40.1 h5082296_0
    - sysroot_linux-64 2.17 h57e8cba_10
    - tk 8.6.12 h1ccaba5_0
    - toml 0.10.2 pyhd3eb1b0_0
    - tzdata 2022g h04d1e81_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xorg-x11-proto-devel-cos6-x86_64 7.7 4
    - xz 5.2.10 h5eee18b_1
    - zlib 1.2.13 h5eee18b_0
    - zstd 1.5.2 ha4553b6_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.01.10 h06a4308_0
    - certifi 2022.12.7 py311h06a4308_0
    - dbus 1.13.18 hb2f20db_0
    - expat 2.4.9 h6a678d5_0
    - fontconfig 2.14.1 h52c9d5c_1
    - freetype 2.12.1 h4a9f257_0
    - glib 2.69.1 he621ea3_2
    - gst-plugins-base 1.14.0 h8213a91_2
    - gstreamer 1.14.0 h28cd5cc_2
    - icu 58.2 he6710b0_3
    - jpeg 9e h7f8727e_0
    - krb5 1.19.4 h568e23c_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libclang 10.0.1 default_hb85057a_2
    - libdrm-cos6-x86_64 2.4.65 4
    - libedit 3.1.20221030 h5eee18b_0
    - libevent 2.1.12 h8f2d780_0
    - libffi 3.4.2 h6a678d5_6
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libllvm10 10.0.1 hbcb73fb_5
    - libpng 1.6.37 hbc83047_0
    - libpq 12.9 h16c4e8d_3
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - libx11-common-cos6-x86_64 1.6.4 4
    - libx11-cos6-x86_64 1.6.4 4
    - libxcb 1.15 h7f8727e_0
    - libxkbcommon 1.0.1 hfa300c1_0
    - libxml2 2.9.14 h74e7548_0
    - lz4-c 1.9.4 h6a678d5_0
    - mesa-libegl-cos6-x86_64 11.0.7 4
    - mesa-libegl-devel-cos6-x86_64 11.0.7 4
    - mesa-libgl-cos6-x86_64 11.0.7 4
    - mesa-libgl-devel-cos6-x86_64 11.0.7 4
    - ncurses 6.4 h6a678d5_0
    - nspr 4.33 h295c915_0
    - nss 3.74 h0370c37_0
    - openssl 1.1.1t h7f8727e_0
    - packaging 22.0 py311h06a4308_0
    - pcre 8.45 h295c915_0
    - pip 22.3.1 py311h06a4308_0
    - ply 3.11 py311h06a4308_0
    - pyqt
    - pyqt-builder 1.13.0 py311h06a4308_1
    - python 3.11.0 h7a1cb2a_2
    - qt-main 5.15.2 h327a75a_7
    - qt-webengine 5.15.9 hd2b0992_4
    - readline 8.2 h5eee18b_0
    - setuptools 65.5.0 py311h06a4308_0
    - sip 6.6.2 py311h6a678d5_0
    - sqlite 3.40.1 h5082296_0
    - tk 8.6.12 h1ccaba5_0
    - toml 0.10.2 pyhd3eb1b0_0
    - tzdata 2022g h04d1e81_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.10 h5eee18b_1
    - zlib 1.2.13 h5eee18b_0
    - zstd 1.5.2 ha4553b6_0
  run:
    - libgcc-ng >=11.2.0
    - libstdcxx-ng >=11.2.0
    - pyqt >=5.15.7,<5.16.0a0
    - python >=3.11,<3.12.0a0
    - qt-main 5.15.*
    - qt-main >=5.15.2,<5.16.0a0
    - qt-webengine 5.15.*
    - qt-webengine >=5.15.9,<5.16.0a0
    - qtwebkit 5.*
    - sip >=6.6.2,<6.7.0a0
about:
  description: 'PyQt5 is a comprehensive set of Python bindings for Qt v5.

    It is implemented as more than 35 extension modules and enables Python

    to be used as an alternative application development language to C++ on

    all supported platforms including iOS and Android.

    '
  dev_url: https://www.riverbankcomputing.com/mailman/listinfo/pyqt/
  doc_url: https://www.riverbankcomputing.com/static/Docs/PyQt5/
  home: https://www.riverbankcomputing.com/software/pyqt/
  license: GPL-3.0-only
  license_family: GPL
  license_file: pyqt/LICENSE
  summary: Python bindings for the Qt cross platform application toolkit
extra:
  copy_test_source_files: true
  feedstock-name: pyqt
  final: true
  recipe-maintainers:
    - andfoy
    - ccordoba12
    - gillins
    - jschueller
    - katietz
    - mingwandroid
    - msarahan
    - ocefpaf
